@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Inter', sans-serif;
    overflow: hidden;
}

a {
    text-decoration: none;
    color: #111;
    font-size: 15px;
    font-weight: 800;
    transition: color 0.5s ease;
}

.header {
    margin: 0 auto;
    width: 600px;
    position: relative;
}

header {
    padding: 25px 0;
    position: relative;
    left: -400px;
    top: -10px;
}

header nav {
    float: right;
    width: 100%;
}

header nav ul {
    list-style: none;
    display: flex;
    justify-content: space-between;
}

header nav ul li a:hover {
    color: #51BAC9;
    transition: all 0.5s ease;
}

.headback {
    width: auto;
    height: 48px;
    border: 0.2px solid rgba(0, 0, 0, 0.60);
    opacity: 0.95;
    background: #D9D9D9;
    position: relative;
    z-index: 3;
}

header nav ul li.active a {
    color: #51BAC9;
}

.search {
    float: right;
    z-index: 4;
    position: relative;
    top: -35px;
    right: 50px;
    width: 400px;
    height: 40px;
    display: flex;
    justify-content: space-between;
}

.search ::placeholder {
    color: #6f6d6d;
    font-family: Inter;
    font-size: 14px;
    font-weight: 800;
}

.search form {
    width: 315px;
    height: 29px;
    border-radius: 50px;
    background: #000;
    position: relative;
    top: -4.5px;
}

.search form input {
    width: 276px;
    height: 21px;
    border-radius: 50px;
    background: #FFF;
    position: relative;
    top: -1.2px;
    right: -5px;
    border: none;
    padding: 5px 7px;
    font-family: Inter;
    font-size: 14px;
    font-weight: 800;
}

input[type="search"] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border: none;
    outline: none;
}

input[type="search"]::-webkit-search-cancel-button {
    -webkit-appearance: none;
    appearance: none;
}

.search form button {
    background: none;
    border: none;
    cursor: pointer;
    position: relative;
    top: 4px;
    right: -4px;
}

.title {
    width: auto;
    height: 185px;
    border-bottom: 3px solid #000;
    position: relative;
    top: -100px;
}

.title h1 {
    width: 1019px;
    height: 111px;
    color: #000;
    text-align: center;
    font-family: Inter;
    font-size: 125px;
    font-weight: 900;
    line-height: normal;
    position: relative;
    top: 20px;
    right: -275px;
    z-index: 2;
    letter-spacing: 3px;
}

.sidebar {
    position: relative;
    width: 200px;
    background-color: #ffffff;
    padding: 10px;
    font-size: 15px;
    top: -85px;
}

.details-container a {
    text-decoration: none;
    display: block;
    margin-bottom: 3px;
    font-weight: 400;
    position: relative;
    right: -20px;
    font-size: 15px;
    padding: 3px;
}

.details-container summary {
    padding: 3px;
}

.details-container a.active {
    color: #000000;
    background-color: #dddddd;
    border-radius: 2px;
    padding: 7px;
    width: 161px;
    transition: all 0.5s ease;
}

.details-container details {
    position: relative;
    right: -20px;
    width: 200px;
}

.scroll {
    width: 250px;
    height: 650px;
    background: #ffffff;
    overflow-y: scroll;
    overflow-x: hidden;
    cursor: pointer;
}

summary {
    list-style: none;
}

summary:before {
    content: "˃";
    padding: 5px;
}

details[open] summary:before {
    content: "v";
}

iframe {
    border: none;
    width: 100%;
    height: 100%;
    position: relative;
    top: 30px;
}

.content {
    width: 50%;
    height: 83vh;
    float: left;
    position: relative;
    top: -780px;
    right: -300px;
}

::-webkit-scrollbar {
    background-color: #fbfafa;
    width: 10px;
}

::-webkit-scrollbar-thumb {
    background-color: #333;
    border-radius: 40px;
    width: 4px;
}

.feedback {
    position: relative;
    top: -300px;
    right: 80px;
    float: right;
}

.button {
    width: 70px;
    height: 65px;
    background-color: #ffffff;
    border: 3px solid #000;
    border-radius: 100px;
    font-weight: 600;
    cursor: pointer;
    position: relative;
    bottom: -100px;
    transition: transform 0.3s ease-in-out;
}

.button:hover {
    transform: scale(1.2);
}

.button .icon {
    width: 30px;
    height: 30px;
    background-image: url('comment.svg');
    background-size: contain;
    background-repeat: no-repeat;
    position: relative;
    right: -17px;
}

.button:hover .icon {
    background-image: url('comment_fill.svg');
}

.feedback .block {
    display: none;
    opacity: 0;
    background: #ffffff;
    border: 2.5px solid #000;
    padding: 20px;
    text-align: center;
    border-radius: 10px;
    position: absolute;
    top: -300px;
    right: 50px;
    height: 500px;
    width: 350px;
    transform: scale(1);
    transition: opacity 0.15s ease-in-out;
    z-index: 5;
    position: relative;
    top: -350px;
    right: -30px;
}

.feedback .block.visible {
    display: block;
    opacity: 1;
}

.feedback .block p {
    text-align: left;
    margin: 10px 0;
    font-size: 16px;
}

.feedback .block h2 {
    text-align: left;
    font-size: 24px;
    margin-bottom: 20px;
}

.feedback .block .close-button {
    width: 30px;
    height: 30px;
    border: none;
    cursor: pointer;
    float: right;
    position: absolute;
    top: 10px;
    right: 10px;
    background: none;
}

.feedback .block .close-button .icon2 {
    width: 30px;
    height: 30px;
    background-image: url('Expand_up.svg');
    background-size: contain;
    background-repeat: no-repeat;
    transition: transform 0.4s ease;
}

.feedback .block .close-button:hover .icon2 {
    transform: rotate(180deg);
}

.feedback .block .contact-form {
    margin: 20px 0;
    text-align: left;
}

.feedback .block .text-field {
    position: relative;
    margin-bottom: 20px;
    width: 100%;
}

.feedback .block .text-field__inp {
    width: 100%;
    padding: 10px 0;
    border: none;
    border-bottom: 2px solid rgb(159, 159, 159) !important;
    outline: none;
    font-family: 'Inter', sans-serif;
    font-size: 14px;
    font-weight: 800;
    background: transparent;
    transition: border-color 0.3s ease;
}

.feedback .block .text-field__inp:focus {
    border-bottom-color: #000 !important;
}

.feedback .block .text-field__placeholder {
    position: absolute;
    left: 0;
    top: 10px;
    color: rgb(159, 159, 159);
    font-family: 'Inter', sans-serif;
    font-size: 18px;
    font-weight: 600;
    pointer-events: none;
    transition: all 0.3s ease;
    transform-origin: left;
}

.block .text-field__inp:focus + .text-field__placeholder,
.block .text-field__inp:not(:focus):valid + .text-field__placeholder {
    top: -15px;
    transform: scale(0.85);
    color: #000;
}

.feedback .block .texting {
    width: 100%;
    height: 200px;
    border: 3px solid rgb(121, 120, 120);
    border-radius: 5px;
    padding: 10px;
    font-family: Inter !important;
    font-size: 14px;
    font-weight: 800;
    resize: none;
    outline: none;
    transition: border-color 0.3s;
}

.feedback .block .texting:focus {
    border-color: #000;
}

.feedback .block .submit {
    text-align: center;
    margin-top: 20px;
}

.feedback .block .submit-button {
    width: 140px;
    height: 40px;
    background-color: #fff;
    border: 4px solid #000;
    border-radius: 20px;
    font-family: Inter;
    font-size: 14px;
    font-weight: 600;
    cursor: pointer;
    transition: all 0.2s ease;
    position: relative;
    top: -15px;
}

.feedback .block .submit-button:hover {
    background-color: #000;
    color: #fff;
}